
package dk.myrekrig;

import java.util.LinkedList;
import java.util.List;
import java.io.*;
import java.net.*;

class News {
    Date date;
    String text;

    public News(Date date, String text) {
	this.date = date;
	this.text = text;
    }

    static News[] getNews(String url) throws IOException {
	BufferedReader br =
	    new BufferedReader
		(new InputStreamReader
		    (new URL(url)
			.openConnection()
			.getInputStream()));
	List list = new LinkedList();
	String line;
	int sep;
	while ((line = br.readLine()) != null && (sep = line.indexOf('\t')) >= 0) {
	    list.add(new News(new Date(line.substring(0,sep)), line.substring(sep+1,line.length())));
	}
	return (News[])list.toArray(new News[list.size()]);
    }
}
