
package dk.myrekrig;

class Stat implements Cloneable {
    long mapsize;
    long startants;
    long nfspace;
    long nfsize;
    long battlesize;
    long[] teams;
    long turns;

    public Stat(int numteams) {
	teams = new long[numteams];
    }

    public void add(Stat s) {
	mapsize += s.mapsize;
	startants += s.startants;
	nfspace += s.nfspace;
	nfsize += s.nfsize;
	battlesize += s.battlesize;
	for (int i = 0 ; i < teams.length ; i++) {
	    teams[i] += s.teams[i];
	}
	turns += s.turns;
    }

    public void mul(Stat s) {
	mapsize *= s.mapsize;
	startants *= s.startants;
	nfspace *= s.nfspace;
	nfsize *= s.nfsize;
	battlesize *= s.battlesize;
	for (int i = 0 ; i < teams.length ; i++) {
	    teams[i] *= s.teams[i];
	}
	turns *= s.turns;
    }
}
