import java.util.Random;

/**
 * Each consumer threads tries to access the bounded buffer to get an item
 * from the buffer.
 */
public class MyConsumer extends Thread {
  private BoundedBufferIF _buf;
  private Random myRandom = null;

  MyConsumer(BoundedBufferIF buf) {
    _buf = buf;
  }

  public void set_seed(int i) {
    myRandom = new Random(i);
  }

  public void run() {
    String s;
    int i = 0;

    System.out.println (this.getName() + " is running.");
    while(!MyDemo.getStopped()) {
      try {
        while (MyDemo.getPaused()) Thread.sleep(500);
          Thread.sleep((int)(myRandom.nextDouble()* 6000+100)); // was R*1500+200
      }
      catch (InterruptedException ie) {}

      if (!MyDemo.getStopped()) {
        s = _buf.get();
        Thread.yield();
        i++; if (i > 10) { Thread.yield(); i = 0; }
      }
    }
  }
}
