import java.lang.Character;
import java.util.Random;
/**
 * Each producer threads tries to access the bounded buffer to put an item
 * in the buffer.
 */
public class MyProducer extends Thread {
  private BoundedBufferIF _buf;
  private Random myRandom = null;

  MyProducer(BoundedBufferIF buf) {
    _buf = buf;
  }

  public void set_seed(int i) {
    myRandom = new Random(i);
  }

  public void run() {
    String s;
    int i = 0;

    System.out.println (this.getName() + " is running.");
    while (!MyDemo.getStopped()) {
      try {
        while (MyDemo.getPaused()) Thread.sleep(500);
        Thread.sleep((int)(myRandom.nextDouble() * 6000+100)); // WAS r*1500 + 200
      }
      catch (InterruptedException ie) {}

      if (!MyDemo.getStopped()) {
        s = "P" + (char) (65 + Math.random() * 20); // Produce a character.
        _buf.put(s);
        Thread.yield();
        i++; if (i > 10) { Thread.yield(); i = 0; }
      }
    }
  }
}

