import java.sql.*;

class SelectFromPer {

public static void main(String argv[]) {

     try {

         // Load the JDBC-ODBC bridge
         Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");

         // specify the ODBC data source's URL
         String url = "jdbc:odbc:SSPer";

         // connect
         Connection con = DriverManager.getConnection(url,"North","Ken");

         // create and execute a SELECT
         Statement stmt = con.createStatement();
         ResultSet rs = stmt.executeQuery
         ("SELECT Surname,FirstName,Category FROM Per");

         System.out.println("Class is SelectFromPer\n");
         // traverse through results
         System.out.println("Found row:");

     while (rs.next()) {

         // get current row values
         String Surname = rs.getString(1);
         String FirstName = rs.getString(2);
         int Category = rs.getInt(3);

         // print values
         System.out.print (" Surname=" + Surname);
         System.out.print (" FirstName=" + FirstName);
         System.out.print (" Category=" + Category);
         System.out.print(" \n");
         }

     // close statement and connection
     stmt.close();
     con.close();
     } catch (java.lang.Exception ex) {

         ex.printStackTrace();
         }

     }

}
