
package dk.myrekrig;

class Date {
    private static final String[] months = { "januar", "februar", "marts", "april", "maj", "juni", "juli", "august", "september", "oktober", "november", "december" };

    private String rep;
    private int year;
    private int month;
    private int day;
    private String id;

    public Date(String rep) {
	this.rep = rep;
	year = Integer.parseInt(rep.substring(0,4));
	month = Integer.parseInt(rep.substring(4,6))-1;
	day = Integer.parseInt(rep.substring(6,8));
	id = rep.substring(8);
	if (id.equals("")) {
	    id = " ";
	}
    }

    public String toString() {
	return rep;
    }

    public String print() {
	return day+". "+months[month]+" "+year;
    }

    public String getID() {
	return id;
    }
}
