import java.lang.Thread;

public class BoundedBuffer implements BoundedBufferIF {
  private String _sbuf[];
  private int _nextPut = 0; // buffer pointer
  private int _nextGet = 0; // buffer pointer
  private int _cnt = 0;     // number of items in buffer
  private int _size;        // buffer capacity

  BoundedBuffer(int size) {
    _size = size;
    _sbuf = new String[_size + 1];
  }

  public void put(String s){
    _sbuf[_nextPut] = s;
    _nextPut = (_nextPut + 1) % _size;
    _cnt++;

    try {Thread.sleep(40);} catch(Exception e) {}

      //System.out.println("PUT: '" + s +"' "
      //         + " (nextGet = " + _nextGet + ","
      //         + " nextPut = " + _nextPut + ","
      //         + " cnt = " + _cnt + ").");
  }

  public String get() {
    //System.out.println("*** get() starts");
    String x;
    x = _sbuf[_nextGet];
    _nextGet = (_nextGet + 1) % _size;
    _cnt--;
    //System.out.println("*** get() returns");

    try {Thread.sleep(40);} catch(Exception e) {}
      //System.out.println("GET: '" + x +"' "
      //         + " (nextGet = " + _nextGet + ","
      //         + " nextPut = " + _nextPut + ","
      //         + " cnt = " + _cnt + ").");
    return x;
  }

  public int getSize() { return _size; }
  public int getCnt() { return _cnt; }
  public int getNextPut() { return _nextPut; }
  public int getNextGet() { return _nextGet; }
}
