/**
 * Title:        Producer Consumer - Dynamic Weaver Framework
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

 /**
  * Represents one record of policy data
  * - number of items in the buffer
  * - number of tasks in the get queue
  * - number of tasks in the put queue
  */
public class PolicyDataRec {

  public int i_cnt;     // number of items in the buffer
  public int g_cnt;     // number of threads in the get queue
  public int p_cnt;     // number of threads in the put queue


  public PolicyDataRec(int i, int g, int p) {
    set(i, g, p);
  }

  public void set(int i, int g, int p) {
  /**
   * Sets the value
   */
    i_cnt = i;
    g_cnt = g;
    p_cnt = p;
  }
}
