import java.io.*;
import java.util.Vector;
import java.util.Observer;
import java.util.Observable;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
//import com.borland.jbcl.layout.*;

/**
 * Main Window of DWF demonstration.
 * Contains the all the command buttons and panels for displaying graphs.
 */
public class ProdConsFrame extends JFrame implements Observer {
  // This frame is the observer to the aspect repository.

  JPanel contentPane;
  JPanel jPanel1 = new JPanel();
  Border border1;
  Border border2;
  JPanel jPanel3 = new JPanel();
  Border border3;
  Border border4;
  Border border5;
  JButton BtnStart = new JButton();
  JButton BtnPause = new JButton();
  JButton BtnStop = new JButton();
  JButton BtnExit = new JButton();
  JButton BtnConfig = new JButton();
  JButton BtnPolicy = new JButton();
  JButton BtnAspect = new JButton();
  Border border6;
  Border border7;
  JPanel jPanel7 = new JPanel();
  Border border8;
  JPanel jPanel8 = new JPanel();
  Border border9;
  GridLayout gridLayout1 = new GridLayout();
  //VerticalFlowLayout verticalFlowLayout1 = new VerticalFlowLayout();
  JButton BtnAgent = new JButton();
  Border border10;
  JPanel jPanel2 = new JPanel();
  JPanel jPanel6 = new JPanel();
  Border border11;
  JPanel jPanel9 = new JPanel();
  Border border12;
  JPanel jPanel10 = new JPanel();
  Border border13;
  Border border14;
  Border border15;
  Border border16;
  Border border17;
  Border border18;
  Border border19;
  JPanel chartConsumer = new JPanel();
  Border border20;
  JLabel jLabel1 = new JLabel();
  JLabel lbl_ConsumerCnt = new JLabel();
  JLabel jLabel6 = new JLabel();
  JLabel jLabel9 = new JLabel();
  JPanel chartBuffer = new JPanel();
  JLabel lbl_BufferSize = new JLabel();
  JPanel chartProducer = new JPanel();
  JLabel lbl_ProducerCnt = new JLabel();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  GridBagLayout gridBagLayout3 = new GridBagLayout();
  GridBagLayout gridBagLayout4 = new GridBagLayout();
  GridLayout gridLayout4 = new GridLayout();

  /** line graphs **/
  MyLineGraphPanel lineGraphProducer = new MyLineGraphPanel();
  MyLineGraphPanel lineGraphConsumer = new MyLineGraphPanel();
  MyLineGraphPanel lineGraphBuffer = new MyLineGraphPanel();
  GridLayout gridLayout5 = new GridLayout();
  GridLayout gridLayout6 = new GridLayout();
  GridBagLayout gridBagLayout5 = new GridBagLayout();
  BorderLayout borderLayout1 = new BorderLayout();

  /**Construct the frame*/
  public ProdConsFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Component initialization*/
  private void jbInit() throws Exception  {
    //setIconImage(Toolkit.getDefaultToolkit().createImage(ProdConsFrame.class.getResource("[Your Icon]")));
    contentPane = (JPanel) this.getContentPane();
    border1 = new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(134, 134, 134));
    border2 = BorderFactory.createEtchedBorder(Color.white,new Color(134, 134, 134));
    border3 = BorderFactory.createEtchedBorder(Color.white,new Color(134, 134, 134));
    border4 = BorderFactory.createEtchedBorder(Color.white,new Color(134, 134, 134));
    border5 = BorderFactory.createEtchedBorder(Color.white,new Color(134, 134, 134));
    border6 = new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(134, 134, 134));
    border7 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(178, 178, 178),new Color(124, 124, 124));
    border8 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(134, 134, 134),new Color(93, 93, 93));
    border9 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(134, 134, 134),new Color(93, 93, 93));
    border10 = BorderFactory.createCompoundBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(134, 134, 134),new Color(93, 93, 93)),BorderFactory.createEmptyBorder(4,4,4,4));
    border11 = BorderFactory.createLineBorder(SystemColor.controlText,1);
    border12 = BorderFactory.createEtchedBorder(Color.white,new Color(134, 134, 134));
    border13 = BorderFactory.createEtchedBorder(Color.white,new Color(134, 134, 134));
    border14 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(134, 134, 134),new Color(93, 93, 93));
    border15 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(134, 134, 134),new Color(93, 93, 93));
    border16 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(142, 142, 142),new Color(99, 99, 99));
    border17 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(142, 142, 142),new Color(99, 99, 99));
    border18 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(142, 142, 142),new Color(99, 99, 99));
    border19 = new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(142, 142, 142));
    border20 = BorderFactory.createBevelBorder(BevelBorder.LOWERED,Color.white,Color.white,new Color(99, 99, 99),new Color(142, 142, 142));
    contentPane.setLayout(borderLayout1);
    this.setSize(new Dimension(673, 506));
    this.setTitle("Dynamic Weaver Framework");
    jPanel1.setBorder(border1);
    jPanel1.setLayout(gridBagLayout5);
    //jPanel1.setLayout(verticalFlowLayout1);
    jPanel3.setBorder(border3);
    jPanel3.setLayout(gridLayout1);
    BtnStart.setText("Start");
    BtnStart.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BtnStart_actionPerformed(e);
      }
    });
    BtnPause.setEnabled(false);
    BtnPause.setText("Pause");
    BtnPause.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BtnPause_actionPerformed(e);
      }
    });
    BtnStop.setEnabled(false);
    BtnStop.setText("Stop");
    BtnStop.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BtnStop_actionPerformed(e);
      }
    });
    BtnExit.setText("Exit");
    BtnExit.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BtnExit_actionPerformed(e);
      }
    });
    BtnConfig.setText("Configure");
    BtnConfig.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BtnConfig_actionPerformed(e);
      }
    });
    BtnPolicy.setText("Policies");
    BtnPolicy.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BtnPolicy_actionPerformed(e);
      }
    });
    BtnAspect.setText("Other Aspects");
    BtnAspect.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BtnAspect_actionPerformed(e);
      }
    });
    jPanel7.setBorder(border8);
    jPanel8.setBorder(border9);
    BtnAgent.setEnabled(false);
    BtnAgent.setText("Show Agent");
    BtnAgent.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BtnAgent_actionPerformed(e);
      }
    });
    jPanel2.setLayout(gridBagLayout2);
    jPanel6.setBorder(BorderFactory.createEtchedBorder());
    jPanel6.setLayout(gridBagLayout1);
    jPanel9.setBorder(border12);
    jPanel9.setLayout(gridBagLayout3);
    jPanel10.setBorder(border13);
    jPanel10.setLayout(gridBagLayout4);
    chartConsumer.setBackground(Color.white);
    chartConsumer.setBorder(border20);
    chartConsumer.setLayout(gridLayout4);
    jLabel1.setText("  Consumers");
    lbl_ConsumerCnt.setHorizontalAlignment(SwingConstants.RIGHT);
    lbl_ConsumerCnt.setText("0");
    jLabel6.setText("  Producers");
    jLabel9.setText("  Items in Buffer");
    chartBuffer.setLayout(gridLayout6);
    chartBuffer.setBorder(border20);
    chartBuffer.setBackground(Color.white);
    lbl_BufferSize.setHorizontalAlignment(SwingConstants.RIGHT);
    lbl_BufferSize.setText("0");
    chartProducer.setBackground(Color.white);
    chartProducer.setBorder(border20);
    chartProducer.setLayout(gridLayout5);
    lbl_ProducerCnt.setText("0");
    lbl_ProducerCnt.setHorizontalAlignment(SwingConstants.RIGHT);
    lineGraphConsumer.setBackground(Color.black);
    lineGraphProducer.setBackground(Color.black);
    lineGraphBuffer.setBackground(SystemColor.desktop);
    contentPane.add(jPanel1, BorderLayout.NORTH);
    jPanel1.add(BtnConfig,  new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(2, 3, 0, 0), 75, 0));
    jPanel1.add(BtnStart,  new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 3, 7, 0), 105, 0));
    jPanel1.add(BtnExit,  new GridBagConstraints(3, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 7, 4), 111, 0));
    jPanel1.add(BtnStop,  new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 7, 0), 105, 0));
    jPanel1.add(BtnPause,  new GridBagConstraints(2, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 7, 0), 93, 0));
    jPanel1.add(BtnAgent,  new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(2, 0, 0, 0), 65, 0));
    jPanel1.add(BtnAspect,  new GridBagConstraints(3, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(2, 0, 0, 4), 53, 0));
    jPanel1.add(BtnPolicy,  new GridBagConstraints(2, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(2, 0, 0, 0), 85, 0));
    contentPane.add(jPanel3, BorderLayout.SOUTH);
    jPanel3.add(jPanel7, null);
    jPanel3.add(jPanel8, null);
    contentPane.add(jPanel2, BorderLayout.CENTER);
    jPanel2.add(jPanel9,  new GridBagConstraints(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(0, 3, 0, 5), 115, 2));
    jPanel9.add(jLabel6,  new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(-2, -2, 0, 250), 220, 2));
    jPanel9.add(chartProducer,  new GridBagConstraints(1, 1, 1, 2, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(9, 0, 7, 14), 476, 85));
    jPanel9.add(lbl_ProducerCnt,  new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(9, 13, 0, 0), 22, -1));
    jPanel10.add(jLabel9,  new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 248), 197, 2));
    jPanel10.add(lbl_BufferSize,  new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(9, 12, 0, 0), 22, -1));
    jPanel10.add(chartBuffer,  new GridBagConstraints(1, 1, 1, 2, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(7, 0, 7, 15), 476, 85));
    jPanel2.add(jPanel6,  new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(5, 3, 0, 5), 115, 2));
    jPanel6.add(chartConsumer,  new GridBagConstraints(1, 1, 1, 2, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(7, 0, 6, 14), 476, 85));
    jPanel6.add(jLabel1,  new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, -2, 0, 250), 214, 2));
    jPanel6.add(lbl_ConsumerCnt,  new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(7, 5, 0, 0), 30, -2));
    jPanel2.add(jPanel10,  new GridBagConstraints(0, 2, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(0, 3, 3, 5), 115, 2));

    /* add line graphs */
    chartProducer.add(lineGraphProducer);
    chartConsumer.add(lineGraphConsumer);
    chartBuffer.add(lineGraphBuffer);
  }
  /**Overridden so we can exit when window is closed*/
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  private void centerTheDialog(JDialog dialog) {
    //Center the dialog
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension dialogSize = dialog.getSize();
    if (dialogSize.height > screenSize.height) {
      dialogSize.height = screenSize.height;
    }
    if (dialogSize.width > screenSize.width) {
      dialogSize.width = screenSize.width;
    }
    dialog.setLocation((screenSize.width - dialogSize.width) / 2,
                       (screenSize.height - dialogSize.height) / 2);
    dialog.setVisible(true);
  }

  // We have four dialogs.
  private ConfigDialog configDlg = null;
  private AgentDialog agentDlg = null;
  private PolicyDialog policyDlg = null;
  private AspectDialog aspectDlg = null;

  void BtnConfig_actionPerformed(ActionEvent e) {
    if (configDlg == null) {
      configDlg = new ConfigDialog();
      centerTheDialog(configDlg);
    }
    configDlg.show();
  }

  void BtnPolicy_actionPerformed(ActionEvent e) {
    if (policyDlg == null) {
      policyDlg = new PolicyDialog();
      centerTheDialog(policyDlg);
    }
    policyDlg.show();
  }

  void BtnAspect_actionPerformed(ActionEvent e) {
    if (aspectDlg == null) {
      aspectDlg = new AspectDialog();
      centerTheDialog(aspectDlg);
    }
    aspectDlg.show();
  }


  void BtnAgent_actionPerformed(ActionEvent e) {
    if (agentDlg != null)
      agentDlg.show();
  }

  // implementation of the Observer interface

  public void update(Observable o, Object arg) {
    HistoryQueue hq = (HistoryQueue) arg;

    lineGraphProducer.redraw(hq.getHistoryP(), hq.getHistoryS(), ProdConsApp.getMyProducerCnt());
    lineGraphConsumer.redraw(hq.getHistoryC(), hq.getHistoryS(), ProdConsApp.getMyConsumerCnt());
    lineGraphBuffer.redraw(hq.getHistoryI(), hq.getHistoryS(), ProdConsApp.getMyBufferSize());

    //System.out.println("--> update() was called in ProdConsFrame.");
  }

  /**
   *
   */
  private PolicyDataSet myPolicyDataSet = new PolicyDataSet();
  GridBagLayout gridBagLayout2 = new GridBagLayout();

  /**
   *
   */
  private boolean readPolicyFile() {
     String myFileName = ProdConsApp.getMyInputFileName();
     File in_file = new File(myFileName);

     System.out.println("Policy input data file is " + myFileName);
     if (!in_file.exists()) {
        JOptionPane.showMessageDialog(this,
            "Policy Input File not found:" + myFileName + "\n");
       return false;
     }
     if (!in_file.isFile()) {
        JOptionPane.showMessageDialog(this,
            "Not a normal file:" + myFileName + "\n");
       return false;
     }
     if (!in_file.canRead()) {
        JOptionPane.showMessageDialog(this,
            "File is not readable:" + myFileName + "\n");
       return false;
     }

     return myPolicyDataSet.readFromFile(myFileName);
  }

  void BtnStart_actionPerformed(ActionEvent e) {
     if (!readPolicyFile()) return;

     BtnStart.setEnabled(false);
     BtnStop.setEnabled(true);
     BtnPause.setEnabled(true);
     BtnPause.setText("Pause");
     BtnConfig.setEnabled(false);
     BtnAgent.setEnabled(true);

     lbl_ConsumerCnt.setText(Integer.toString(ProdConsApp.getMyConsumerCnt()));
     lbl_ProducerCnt.setText(Integer.toString(ProdConsApp.getMyProducerCnt()));
     lbl_BufferSize.setText(Integer.toString(ProdConsApp.getMyBufferSize()));

     // If there is an old agent, remove it.
     if (agentDlg != null) {
       AspectRepository ar = ProdConsApp.getAspectRepository();
       ar.deleteObserver(agentDlg);
       agentDlg.dispose();
     }
     // Launch a new agent dialog
     agentDlg = new AgentDialog(myPolicyDataSet);
     centerTheDialog(agentDlg);
     agentDlg.show();

     // aspectRepository is observable.
     // Agent dialog is the observer.
     AspectRepository ar = ProdConsApp.getAspectRepository();
     ar.addObserver(agentDlg);

     // Start the demo threads
     System.out.println("---------------------------------------");
     Thread demoThread = new MyDemo();
     MyDemo.setStopped(false);
     MyDemo.setPaused(false);
     demoThread.start();
     System.out.println("---------------------------------------\nDone.");
  }

  void BtnStop_actionPerformed(ActionEvent e) {
     BtnStop.setEnabled(false);

     MyDemo.setStopped(true);
     MyDemo.setPaused(false);

     BtnStart.setEnabled(true);
     BtnPause.setEnabled(false);
     BtnPause.setText("Pause");
     BtnConfig.setEnabled(true);

     // agentDlg needs to be deleted from the Observer list.
     agentDlg.hide();
     AspectRepository ar = ProdConsApp.getAspectRepository();
     ar.deleteObserver(agentDlg);
  }

  void BtnPause_actionPerformed(ActionEvent e) {
    if (BtnPause.getText().equals("Pause")) {
       BtnStop.setEnabled(false);
       BtnPause.setText("Resume");
       MyDemo.setPaused(true);
    } else {
       BtnStop.setEnabled(true);
       BtnPause.setText("Pause");
       MyDemo.setPaused(false);
    }
  }


  void BtnExit_actionPerformed(ActionEvent e) {
      System.exit(0);
  }
}
