import java.sql.*;

       // Notice, do not import org.gjt.mm.mysql.* or you will have problems!

       public class LoadDriver {

         public static void main(String[] Args) {

           // The newInstance() call is a work around for some broken
           // Java implementations

           try {
             Class.forName("org.gjt.mm.mysql.Driver").newInstance(); 
           }

           catch (Exception E) {
             System.err.println("Unable to load driver.");
             E.printStackTrace();
           }

           try {

             String MYSQL_HOST   = "richese.csci.unt.edu";
             String MYSQL_DB     = "testdb";
             String MYSQL_USER   = "test";
             String MYSQL_PASSWD = "testpw";
             String MYSQL_TABLE  = "pets";

        
             // Replace
             //  _server_ with the remote server name
             //  _db_     with the remote database name
             // _user_    with the database user name
             // _pwd_     with the user password

             Connection Conn = DriverManager.getConnection(
               "jdbc:mysql://" + MYSQL_HOST + "/" + MYSQL_DB +
               "?user=" + MYSQL_USER + "&password=" + MYSQL_PASSWD);
                       
             Statement Stmt = Conn.createStatement();

             // Replace
             //  _table_ with the remote database table name

             ResultSet RS = Stmt.executeQuery("SELECT * from pets");

             System.out.println("Pet Name    Type");
             System.out.println("---------   ----");

             String buffer = "";

             while (RS.next()) {
               buffer = RS.getString(1);
               int i = buffer.length();
               if (i < 9) {
                 buffer = "         ";
                 System.out.println(RS.getString(1) + buffer.substring(1,9-i) + 
                                    "    " + RS.getString(2));
               } else {
                 System.out.println(RS.getString(1) + "   " + RS.getString(2));
               }
             }

             // Clean up after ourselves
             RS.close();
             Stmt.close();
             Conn.close();
           }

           catch (SQLException E) {
             System.out.println("SQLException: " + E.getMessage());
             System.out.println("SQLState:     " + E.getSQLState());
             System.out.println("VendorError:  " + E.getErrorCode());
           }

         }

       }
